%define upstream_name	 MP3-ID3v1Tag
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Edit ID3v1 Tags from an Audio MPEG Layer 3
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch:	noarch


%description
The ID3v1Tag routines are useful for setting and reading ID3 MP3 Audio Tags.
Just create an MP3::ID3v1Tag Object with the path to the file of interest, and
query any of the methods below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/MP3
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-7.mga6
+ Revision: 1030796
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.110.0-6.mga6
+ Revision: 936529
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 745566
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 685303
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 512735
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 369357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 26513
- mageia rebuild
- imported package perl-MP3-ID3v1Tag


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.0
+ Revision: 407809
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11-12mdv2009.0
+ Revision: 257930
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11-11mdv2009.0
+ Revision: 245958
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-9mdv2008.1
+ Revision: 137191
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-8mdv2008.1
+ Revision: 137004
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill changelog left by repsys


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 19:00:38 (41169)
- rebuild && mkrel

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 18:58:49 (41168)
Import perl-MP3-ID3v1Tag

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11-6mdk
- fix deps

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.11-5mdk
- rebuild for new perl
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

